#!/usr/bin/env bash

#example call ./create_wrappers.sh /home/etaishev /home/etaishev/AuroraOS  registry.omprussia.ru/omp-sdk/sdk-build-tools:latest @release@.69
#INSTALL_DIR не создается из переменной HOME_DIR т.к. установка может быть в другое место

HOME_DIR="$1"
INSTALL_DIR="$2"
DOCKER_TAG="$3"
RELEASE="$4"

WRAPPERS_DIR="sdk/${RELEASE}/tools"

mkdir -p "${INSTALL_DIR}/${WRAPPERS_DIR}"

cp "${INSTALL_DIR}"/share/qtcreator/apptool/wrappers/linux/* "${INSTALL_DIR}/${WRAPPERS_DIR}"

#@home_dir@
#@install_dir@
#@docker_image_tag@
for filename in ${INSTALL_DIR}/${WRAPPERS_DIR}/*; do
    if [ ! -d "${filename}" ]; then
        echo "${filename}"
        sed -i -- "s|@home_dir@|$HOME_DIR|g" "${filename}"
        sed -i -- "s|@install_dir@|${INSTALL_DIR}|g" "${filename}"
        sed -i -- "s|@docker_image_tag@|${DOCKER_TAG}|g" "${filename}"
        sed -i -- "s|@release@|${RELEASE}|g" "${filename}"
    fi
done
